<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Apa102 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classApa102-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Apa102 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Apa102:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classApa102.png" usemap="#Apa102_map" alt=""/>
  <map id="Apa102_map" name="Apa102_map">
<area href="classSmartLED.html" alt="SmartLED" shape="rect" coords="0,0,68,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aee0486dd52dff10f573b541d0a54e554"><td class="memItemLeft" align="right" valign="top"><a id="aee0486dd52dff10f573b541d0a54e554"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> ()</td></tr>
<tr class="separator:aee0486dd52dff10f573b541d0a54e554"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af565f955f47a19ffb645a21ebbc5bc06"><td class="memItemLeft" align="right" valign="top"><a id="af565f955f47a19ffb645a21ebbc5bc06"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classApa102.html#af565f955f47a19ffb645a21ebbc5bc06">show</a> ()</td></tr>
<tr class="memdesc:af565f955f47a19ffb645a21ebbc5bc06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show the pixels on an APA102 device. The pixels that have been set are pushed to the APA102 devices. <br /></td></tr>
<tr class="separator:af565f955f47a19ffb645a21ebbc5bc06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classSmartLED"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classSmartLED')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classSmartLED.html">SmartLED</a></td></tr>
<tr class="memitem:a735d83c9c1f664ea3328daeb36748eb6 inherit pub_methods_classSmartLED"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#a735d83c9c1f664ea3328daeb36748eb6">getBrightness</a> ()</td></tr>
<tr class="memdesc:a735d83c9c1f664ea3328daeb36748eb6 inherit pub_methods_classSmartLED"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the brightness as a percentage.  <a href="classSmartLED.html#a735d83c9c1f664ea3328daeb36748eb6">More...</a><br /></td></tr>
<tr class="separator:a735d83c9c1f664ea3328daeb36748eb6 inherit pub_methods_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c560b3cc7f1dc88337d22cbd890f933 inherit pub_methods_classSmartLED"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#a1c560b3cc7f1dc88337d22cbd890f933">getPixelCount</a> ()</td></tr>
<tr class="memdesc:a1c560b3cc7f1dc88337d22cbd890f933 inherit pub_methods_classSmartLED"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the number of pixels in the chain.  <a href="classSmartLED.html#a1c560b3cc7f1dc88337d22cbd890f933">More...</a><br /></td></tr>
<tr class="separator:a1c560b3cc7f1dc88337d22cbd890f933 inherit pub_methods_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd7bcb3a6606ee885978c94cc5bd3833 inherit pub_methods_classSmartLED"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#afd7bcb3a6606ee885978c94cc5bd3833">setBrightness</a> (uint32_t percent)</td></tr>
<tr class="memdesc:afd7bcb3a6606ee885978c94cc5bd3833 inherit pub_methods_classSmartLED"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the brightness as a percentage.  <a href="classSmartLED.html#afd7bcb3a6606ee885978c94cc5bd3833">More...</a><br /></td></tr>
<tr class="separator:afd7bcb3a6606ee885978c94cc5bd3833 inherit pub_methods_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d7155c63ed77ae070575dcbc960292e inherit pub_methods_classSmartLED"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#a1d7155c63ed77ae070575dcbc960292e">setColorOrder</a> (char *order)</td></tr>
<tr class="memdesc:a1d7155c63ed77ae070575dcbc960292e inherit pub_methods_classSmartLED"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the color order of data sent to the LEDs.  <a href="classSmartLED.html#a1d7155c63ed77ae070575dcbc960292e">More...</a><br /></td></tr>
<tr class="separator:a1d7155c63ed77ae070575dcbc960292e inherit pub_methods_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0e7fcf8f943748d68c23dbef90b52a6 inherit pub_methods_classSmartLED"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#aa0e7fcf8f943748d68c23dbef90b52a6">setPixel</a> (uint16_t index, uint8_t red, uint8_t green, uint8_t blue)</td></tr>
<tr class="memdesc:aa0e7fcf8f943748d68c23dbef90b52a6 inherit pub_methods_classSmartLED"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the given pixel to the specified color.  <a href="classSmartLED.html#aa0e7fcf8f943748d68c23dbef90b52a6">More...</a><br /></td></tr>
<tr class="separator:aa0e7fcf8f943748d68c23dbef90b52a6 inherit pub_methods_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee14c9e5278ba735cd9890ab33bb4802 inherit pub_methods_classSmartLED"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#aee14c9e5278ba735cd9890ab33bb4802">setPixel</a> (uint16_t index, <a class="el" href="structpixel__t.html">pixel_t</a> pixel)</td></tr>
<tr class="memdesc:aee14c9e5278ba735cd9890ab33bb4802 inherit pub_methods_classSmartLED"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the given pixel to the specified color.  <a href="classSmartLED.html#aee14c9e5278ba735cd9890ab33bb4802">More...</a><br /></td></tr>
<tr class="separator:aee14c9e5278ba735cd9890ab33bb4802 inherit pub_methods_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae855663a57e10790c6dc892bf78a37d inherit pub_methods_classSmartLED"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#aae855663a57e10790c6dc892bf78a37d">setPixel</a> (uint16_t index, uint32_t pixel)</td></tr>
<tr class="memdesc:aae855663a57e10790c6dc892bf78a37d inherit pub_methods_classSmartLED"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the given pixel to the specified color.  <a href="classSmartLED.html#aae855663a57e10790c6dc892bf78a37d">More...</a><br /></td></tr>
<tr class="separator:aae855663a57e10790c6dc892bf78a37d inherit pub_methods_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65281f4a17cc5984d40b57244cd9161e inherit pub_methods_classSmartLED"><td class="memItemLeft" align="right" valign="top"><a id="a65281f4a17cc5984d40b57244cd9161e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setPixelCount</b> (uint16_t pixelCount)</td></tr>
<tr class="separator:a65281f4a17cc5984d40b57244cd9161e inherit pub_methods_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d25c9253f280f79c3fee565d0bd3efd inherit pub_methods_classSmartLED"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#a0d25c9253f280f79c3fee565d0bd3efd">setHSBPixel</a> (uint16_t index, uint16_t hue, uint8_t saturation, uint8_t brightness)</td></tr>
<tr class="memdesc:a0d25c9253f280f79c3fee565d0bd3efd inherit pub_methods_classSmartLED"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the given pixel to the specified HSB color.  <a href="classSmartLED.html#a0d25c9253f280f79c3fee565d0bd3efd">More...</a><br /></td></tr>
<tr class="separator:a0d25c9253f280f79c3fee565d0bd3efd inherit pub_methods_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38c11b8195f7d149053850a554c6a85e inherit pub_methods_classSmartLED"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#a38c11b8195f7d149053850a554c6a85e">clear</a> ()</td></tr>
<tr class="memdesc:a38c11b8195f7d149053850a554c6a85e inherit pub_methods_classSmartLED"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all the pixel colors.  <a href="classSmartLED.html#a38c11b8195f7d149053850a554c6a85e">More...</a><br /></td></tr>
<tr class="separator:a38c11b8195f7d149053850a554c6a85e inherit pub_methods_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classSmartLED"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classSmartLED')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classSmartLED.html">SmartLED</a></td></tr>
<tr class="memitem:a9eeb7f7c25516a66eb4c0e176f1cb54c inherit pro_attribs_classSmartLED"><td class="memItemLeft" align="right" valign="top"><a id="a9eeb7f7c25516a66eb4c0e176f1cb54c"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>m_brightness</b></td></tr>
<tr class="separator:a9eeb7f7c25516a66eb4c0e176f1cb54c inherit pro_attribs_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83cd40d5114ac77085751cba84bf06bc inherit pro_attribs_classSmartLED"><td class="memItemLeft" align="right" valign="top"><a id="a83cd40d5114ac77085751cba84bf06bc"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>m_colorOrder</b></td></tr>
<tr class="separator:a83cd40d5114ac77085751cba84bf06bc inherit pro_attribs_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bc7d242c2431817e6e650adb7d35054 inherit pro_attribs_classSmartLED"><td class="memItemLeft" align="right" valign="top"><a id="a7bc7d242c2431817e6e650adb7d35054"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>m_pixelCount</b></td></tr>
<tr class="separator:a7bc7d242c2431817e6e650adb7d35054 inherit pro_attribs_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cbe848bbdbdf401361d81ee96ca2d11 inherit pro_attribs_classSmartLED"><td class="memItemLeft" align="right" valign="top"><a id="a6cbe848bbdbdf401361d81ee96ca2d11"></a>
<a class="el" href="structpixel__t.html">pixel_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>m_pixels</b></td></tr>
<tr class="separator:a6cbe848bbdbdf401361d81ee96ca2d11 inherit pro_attribs_classSmartLED"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Apa102_8h_source.html">Apa102.h</a></li>
<li>Apa102.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
